# Partner swap

## Partner

We offer a partner function. When you utilize the standard swap method, we will allocate the agreed-upon share to the partner. But, because of sui contract limitations, partner doesn't work in the latest smart router function with split order or integrate other pools like `deepbook`.

## Partner AccountCap

Only verified account are eligible to collect partner ref fees. When creating a partner, we generate an object **partner AccountCap**(you can see it in your NFT list). Only accounts that possess the AccountCap are able to claim the fees.

## Claim Ref Fee

We provider one function **`sdk.Pool.claimPartnerRefFeePayload()`**&#x74;o check ref fee.

#### Function input params

*Please refer to the original function for specific parameter types.*

* **`partnerCap`**: The object id about partner cap.
* **`partner`**: The object id about partner.
* **`coinType:`** The coin type abount fee coin type. You can obtain the referral fee using [this specified method.](#check-ref-fee-of-partner)

#### Example

```typescript
const partnerCap = '0x...'
const partner = '0x...'
const coinType = '0x...::...::....'
const claimRefFeePayload = await sdk.Pool.claimPartnerRefFeePayload(partnerCap, partner, coinType)
const transferTxn = await sdk.fullClient.sendTransaction(buildTestAccount(), claimRefFeePayload)
console.log('doCreatPool: ', JSON.stringify(transferTxn))
```

## Check ref fee of partner

We provider one function `sdk.Pool.getPartnerRefFeeAmount()` to check ref fee.

#### Function input params

*Please refer to the original function for specific parameter types.*

* **`partnerID`**: The object id about partner.

#### Example

```typescript
import BN from 'bn.js'
import { initCetusSDK } from '@cetusprotocol/cetus-sui-clmm-sdk'

const sdk = initCetusSDK({ network: 'mainnet' })

const partnerID = '0x...'
const refFee = await sdk.Pool.getPartnerRefFeeAmount(partnerID)
console.log('ref fee:', refFee)
```

## **Interested in Partner Swap? Submit a request from here:**

<https://4bx69zjogri.typeform.com/to/UUETIX2f>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-sdk/features-available/partner-swap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
